﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace ROTools.ROWebLogin {


    /// <summary>
    /// 認証URL入力用フォーム
    /// </summary>
    public partial class IDLockAuthUrlInputForm : Form {

        /// <summary>
        /// 入力されたURL
        /// </summary>
        public string Url {
            get;
            set;
        }


        /// <summary>
        /// コンストラクタ
        /// </summary>
        public IDLockAuthUrlInputForm() {
            InitializeComponent();
        }

        /// <summary>
        /// フォーム初期化処理
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void IDLockAuthUrlInputForm_Load(object sender, EventArgs e) {
            Url = "";
            urlTextBox.Text = "";
            this.WindowState = FormWindowState.Normal;
            urlTextBox.Focus();
        }

        /// <summary>
        /// OKボタン押下時
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void okButton_Click(object sender, EventArgs e) {
            Url = urlTextBox.Text;
        }
    }
}
