﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace ROTools.ROWebLogin {

    /// <summary>
    /// 画像認証用イベントデータ
    /// </summary>
    public class ImageAuthEventArgs : EventArgs {

        /// <summary>
        /// 画像
        /// </summary>
        public Image CaptchaImage {
            get;
            set;
        }

        /// <summary>
        /// 文字列
        /// </summary>
        public string CaptchaText {
            get;
            set;
        }

        /// <summary>
        /// 認証状態の保存
        /// </summary>
        public bool SaveAuthState {
            get;
            set;
        }

    }

}
