﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ROTools.ROWebLogin {

    /// <summary>
    /// 電話認証要求データ
    /// </summary>
    public class IVRAuthRequestData {

        /// <summary>
        /// 認証URL
        /// </summary>
        public string Url {
            get;
            set;
        }

        /// <summary>
        /// Referrerヘッダ値
        /// </summary>
        public string Referrer {
            get;
            set;
        }

        /// <summary>
        /// VIEWSTATE値
        /// </summary>
        public string ViewState {
            get;
            set;
        }

        /// <summary>
        /// 認証コード
        /// </summary>
        public string AuthCode {
            get;
            set;
        }

    }

}
